Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Token_Invariants.h File Reference

`#include "ace/config-all.h"`
`#include "ace/Map_Manager.h"`
`#include "ace/Local_Tokens.h"`
`#include "ace/Null_Mutex.h"`

Include dependency graph for Token_Invariants.h:

This graph shows which files directly or indirectly include this file:

## Classes
class | ACE_Mutex_Invariants
| Mutex Invariants = INVARIANTS 1. Only one owner at a time. More...
class | ACE_RWLock_Invariants
| RWLock Invariants. More...
class | ACE_Token_Invariant_Manager
| Token Invariants. More...

## Detailed Description

Id
  Token_Invariants.h,v 4.24 2005/10/28 23:55:10 ossama Exp

Author:
  Tim Harrison (harrison@cs.wustl.edu)

Allows applications to test that invariants are always satisfied. Can test mutexes and readers/writer locks. Does not test recursive acquisition.